Jordi February 2016

Arquillian + Wildfly + Gradle Warnings

I've written this gradle script: https://gist.github.com/anonymous/ba7de8e301eef7be3f3c

When I run my test, gradle warns me about some dependencies:

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.interceptor.GlobalInterceptorExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.interceptor.GlobalInterceptorExtension

WARN: JBAS016006: Could not load portable extension class org.jboss.weld.environment.se.WeldSEBeanRegistrant java.lang.ClassNotFoundException: org.jboss.weld.environment.se.WeldSEBeanRegistrant

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.scope.DeltaSpikeContextExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.scope.DeltaSpikeContextExtension

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.jmx.MBeanExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.jmx.MBeanExtension

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.config.ConfigurationExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.config.ConfigurationExtension

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.exception.control.extension.ExceptionControlExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.exception.control.extension.ExceptionControlExtension

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.message.MessageBundleExtension java.lang.ClassNotFoundException: org.apache.deltaspike.core.impl.message.MessageBundleExtension

WARN: JBAS016006: Could not load portable extension class org.apache.deltaspike.core.impl.exclude.extension

Answers


John Ament February 2016

The error you provided indicates that you're referencing DeltaSpike extensions in your code. Your gradle build shows deltaspike as a test only dependency, meaning it's not in your WAR file.

https://gist.github.com/anonymous/ba7de8e301eef7be3f3c#file-arquillian-gradle-L51

If you're actually using DeltaSpike, it should be a compile/runtime dependency.

Post Status

Asked in February 2016
Viewed 2,636 times
Voted 6
Answered 1 times

Search




Leave an answer